Post by djiz » Tue May 26, 2009 5:08 pm

Hello I have this issue I am trying to do a test on paypal thru Sandbox API and the credit card that they provide me with has a expiration of 2019 and on opencart you could only go up to 2018 is their a way to add more number to that field and where is it located thank you.

New member

Posts

Joined
Tue May 26, 2009 5:05 pm

Post by readyman » Tue May 26, 2009 11:09 pm

Could be in this file - catalog\controller\payment\payment_direct.php

Look for this code

Code: Select all

$this->data['year_expire'] = array();

for ($i = $today['year']; $i < $today['year'] + 10; $i++) { ...
That + 10 would be plus 10 years.

http://www.alreadymade.com
Follow me on twitter.com/alreadymade


User avatar
Global Moderator

Posts

Joined
Wed May 20, 2009 5:16 am
Location - Sydney

Post by djiz » Wed May 27, 2009 7:19 am

Thank you very much that worked perfectly but now I'm getting the following error
This transaction cannot be processed due to an invalid merchant configuration

New member

Posts

Joined
Tue May 26, 2009 5:05 pm

Post by barells » Mon Jul 13, 2009 9:43 pm

I received this error as well. I did a bit of searching, and it looks like this error comes up if you have not registered for the paypal pro service - which is $30/month. I hadn't realized there was a fee for this service.

New member

Posts

Joined
Sat Jun 27, 2009 5:09 am
Who is online

Users browsing this forum: No registered users and 40 guests